import { createApp } from 'vue'
import dayjs from 'dayjs'
import App from './App.vue'
import './antdUse'
import router from './router'
import store from './store'
import antdUse from './antdUse'
import 'dayjs/locale/zh-cn';
import './app.less'
/* import 'ant-design-vue/dist/antd.css'
import 'ant-design-x-vue/dist/style.css' */
// 创建应用上下文
const app = createApp(App)
app.config.productionTip
dayjs.locale('zh-cn');
// 原型上添加全局字段方式变了
app.config.globalProperties.$dayjs = dayjs
// 引入路由、vuex、 antd
antdUse(app)
app.use(router)
app.use(store)

// 挂载dom
app.mount('#app')

console.log('Vue应用正在初始化...');

// 添加错误处理
window.addEventListener('error', (event) => {
  console.error('捕获到错误:', event.error);
  // 防止无限递归
  if (event.error && event.error.message && event.error.message.includes('Maximum call stack size exceeded')) {
    console.error('检测到栈溢出错误，可能存在循环引用');
  }
});

// 检测是否在Electron环境中
if (window.electronAPI) {
  console.log('在Electron环境中运行');
}

